#define u4byte unsigned int

int serpent_set_key(u4byte *l_key, const u4byte in_key[], const u4byte key_len);
void serpent_encrypt(const u4byte *l_key, const u4byte in_blk[4], u4byte out_blk[]);
void serpent_decrypt(const u4byte *l_key, const u4byte in_blk[4], u4byte out_blk[4]);
